Skip to content
API Reference
Webhooks

List webhook deliveries

An endpoint's deliveries, newest first, with optional status / type / time-range filters and cursor pagination.

GET/v2/webhooks/{teamId}/{webhookId}/deliveries

An endpoint's deliveries, newest first, with optional status / type / time-range filters and cursor pagination.

x-api-key<token>

Public API key generated from Micro settings. Sent as the x-api-key header and validated by AWS API Gateway in front of the service.

In: header

Path Parameters

teamId*string
Formatuuid
webhookId*string
Formatuuid

Query Parameters

status?string

Filter by outcome.

Value in

  • "success"
  • "failed"
type?string

Filter by run type. Defaults to delivery (event deliveries). Pass all to include verification handshakes.

Value in

  • "delivery"
  • "verification"
  • "all"
before?string

Only deliveries at or before this ISO-8601 timestamp.

Formatdate-time
after?string

Only deliveries at or after this ISO-8601 timestamp.

Formatdate-time
cursor?string

Opaque cursor from a previous response's next_cursor.

limit?integer

Page size (1–100, default 25).

Range1 <= value <= 100

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://developers.micro.so/v2/webhooks/${MICRO_TEAM_ID}/${WEBHOOK_ID}/deliveries" \  -H "x-api-key: $MICRO_API_KEY"
{  "data": [    {      "delivery_id": "9892f438-d31c-4ff2-bc84-146525b292ff",      "webhook_id": "a47606a1-5b39-4a81-9480-c2cb738ff675",      "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba",      "type": "delivery",      "event": "string",      "url": "string",      "status": "success",      "status_code": 0,      "attempts": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string"}
micro.so